package com.fs.his.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 病人对象 fs_patient
 *
 * @author fs
 * @date 2023-06-07
 */
public class FsPatient extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long patientId;

    /** 患者姓名 */
    @Excel(name = "患者姓名")
    private String patientName;

    /** 所属会员 */
    @Excel(name = "所属会员")
    private Long userId;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 性别 */
    @Excel(name = "性别")
    private Integer sex;

    /** 体重G */
    @Excel(name = "体重G")
    private Long weight;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobile;

    /** 是否删除  */
    @Excel(name = "是否删除 ")
    private Integer isDel;

    /** 状态 1正常 2禁用 */
    @Excel(name = "状态 1正常 2禁用")
    private Integer status;

    private String relation;  // 与本人关系
    private String liverUnusual;  // 肝功能是否异常
    private String renalUnusual;  // 肾功能是否异常
    private String historyAllergic;  // 过敏史
    private String familyMedHistory;  // 家族病史
    private String selfMedHistory;  // 个人病史
    private Integer isDefault; //是否默认

    private Integer isFurther;
    private String primaryHospital;
    private String primaryImages;

    public Integer getIsFurther() {
        return isFurther;
    }

    public void setIsFurther(Integer isFurther) {
        this.isFurther = isFurther;
    }

    public String getPrimaryHospital() {
        return primaryHospital;
    }

    public void setPrimaryHospital(String primaryHospital) {
        this.primaryHospital = primaryHospital;
    }

    public String getPrimaryImages() {
        return primaryImages;
    }

    public void setPrimaryImages(String primaryImages) {
        this.primaryImages = primaryImages;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public String getRelation() {
        return relation;
    }

    public void setRelation(String relation) {
        this.relation = relation;
    }

    public String getLiverUnusual() {
        return liverUnusual;
    }

    public void setLiverUnusual(String liverUnusual) {
        this.liverUnusual = liverUnusual;
    }

    public String getRenalUnusual() {
        return renalUnusual;
    }

    public void setRenalUnusual(String renalUnusual) {
        this.renalUnusual = renalUnusual;
    }

    public String getHistoryAllergic() {
        return historyAllergic;
    }

    public void setHistoryAllergic(String historyAllergic) {
        this.historyAllergic = historyAllergic;
    }

    public String getFamilyMedHistory() {
        return familyMedHistory;
    }

    public void setFamilyMedHistory(String familyMedHistory) {
        this.familyMedHistory = familyMedHistory;
    }

    public String getSelfMedHistory() {
        return selfMedHistory;
    }

    public void setSelfMedHistory(String selfMedHistory) {
        this.selfMedHistory = selfMedHistory;
    }

    public void setPatientId(Long patientId)
    {
        this.patientId = patientId;
    }

    public Long getPatientId()
    {
        return patientId;
    }
    public void setPatientName(String patientName)
    {
        this.patientName = patientName;
    }

    public String getPatientName()
    {
        return patientName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setIdCard(String idCard)
    {
        this.idCard = idCard;
    }

    public String getIdCard()
    {
        return idCard;
    }
    public void setBirthday(Date birthday)
    {
        this.birthday = birthday;
    }

    public Date getBirthday()
    {
        return birthday;
    }
    public void setSex(Integer sex)
    {
        this.sex = sex;
    }

    public Integer getSex()
    {
        return sex;
    }
    public void setWeight(Long weight)
    {
        this.weight = weight;
    }

    public Long getWeight()
    {
        return weight;
    }
    public void setMobile(String mobile)
    {
        this.mobile = mobile;
    }

    public String getMobile()
    {
        return mobile;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("patientId", getPatientId())
            .append("patientName", getPatientName())
            .append("userId", getUserId())
            .append("idCard", getIdCard())
            .append("birthday", getBirthday())
            .append("sex", getSex())
            .append("weight", getWeight())
            .append("mobile", getMobile())
            .append("isDel", getIsDel())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
